#!/bin/bash

if [ ! -f `which rpm2cpio` ]; then
    echo "You need the program rpm2cpio to run this script, it is available in the package: rpm"
    exit 1
fi

if [ ! -f `which cpio` ]; then
    echo "You need the program cpio to run this script, it is available in the package: cpio"
    exit 1
fi



if [ "${1##*.}" != "rpm" ] || [ ! -f $1 ]; then
    echo "Syntax: $0 file-to-unpack.rpm"
    exit 1
fi

rpm2cpio "$1"|cpio -vid
